set(QSWITCHBUTTON_DIR ${CMAKE_CURRENT_LIST_DIR})

set(QSWITCHBUTTON_INCLUDE_DIRS ${QSWITCHBUTTON_DIR})

set(QSWITCHBUTTON_SOURCES
    ${QSWITCHBUTTON_DIR}/QSwitchButton.h
    ${QSWITCHBUTTON_DIR}/QSwitchButton.cpp
    ${QSWITCHBUTTON_DIR}/priv/QSwitchButtonBackground.h
    ${QSWITCHBUTTON_DIR}/priv/QSwitchButtonBackground.cpp
    ${QSWITCHBUTTON_DIR}/priv/QSwitchButtonCircle.h
    ${QSWITCHBUTTON_DIR}/priv/QSwitchButtonCircle.cpp
    
    )

set(QSWITCHBUTTON_FILES ${QSWITCHBUTTON_SOURCES})
